View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
18063Bug reportsExpression Managerpublic2022-05-09 12:37
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version5.3.x 
Summary18063: Expression manager show false error when editing question
Description

The only way to update Expression Manager seems to preview or check logic file.
For each question added.

Even self.NAOK didn't work.

Steps To Reproduce

Steps to reproduce

Create a survey
Add a question Q01
Add a question Q02 and put in text {Q01.NAOK} - {self.NAOK}, save
See what happen

Expected result

Expression manager color blue

Actual result

Error in expression manager , (variable non définie)

TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build)5.3.11
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database type & versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2022-04-29 09:06

developer  

ollehar

ollehar

2022-04-29 09:40

administrator   ~69304

Missing a kill session?

DenisChenu

DenisChenu

2022-04-29 11:56

developer   ~69305

Missing a kill session?

An ExpressionManager::reset i think.

DenisChenu

DenisChenu

2022-05-03 17:30

developer   ~69377

https://github.com/LimeSurvey/LimeSurvey/pull/2388

DenisChenu

DenisChenu

2022-05-03 18:05

developer   ~69378

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=33461

LimeBot

LimeBot

2022-05-09 12:37

administrator   ~69510

Fixed in Release 5.3.13+220509

Related Changesets

LimeSurvey: master d3112c84

2022-05-03 18:05:15

DenisChenu


Committer: GitHub Details Diff
Fixed issue 18063: Expression manager show false error when editing question (#2388)

Dev: SetDirtyFlag for EM after save question by controller
Affected Issues
18063
mod - application/controllers/QuestionAdministrationController.php Diff File

Issue History

Date Modified Username Field Change
2022-04-29 09:06 DenisChenu New Issue
2022-04-29 09:06 DenisChenu File Added: Capture d’écran du 2022-04-29 09-02-28.png
2022-04-29 09:06 DenisChenu File Added: Capture d’écran du 2022-04-29 09-04-23.png
2022-04-29 09:40 ollehar Note Added: 69304
2022-04-29 09:40 ollehar Bug heat 0 => 2
2022-04-29 11:01 galads Assigned To => DenisChenu
2022-04-29 11:01 galads Status new => assigned
2022-04-29 11:56 DenisChenu Note Added: 69305
2022-04-29 11:56 DenisChenu Bug heat 2 => 4
2022-05-03 17:30 DenisChenu Assigned To DenisChenu =>
2022-05-03 17:30 DenisChenu Status assigned => review
2022-05-03 17:30 DenisChenu Note Added: 69377
2022-05-03 18:05 DenisChenu Changeset attached => LimeSurvey master d3112c84
2022-05-03 18:05 DenisChenu Note Added: 69378
2022-05-03 18:05 DenisChenu Assigned To => DenisChenu
2022-05-03 18:05 DenisChenu Resolution open => fixed
2022-05-03 18:05 c_schmitz Status review => resolved
2022-05-09 12:37 LimeBot Note Added: 69510
2022-05-09 12:37 LimeBot Status resolved => closed
2022-05-09 12:37 LimeBot Bug heat 4 => 6